Get Brokerage
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/brokerages/{brokerageId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/brokerages/{brokerageId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/brokerages/{brokerageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Acme Insurance Agency",
"commissionPaymentMethod": "agencyBill",
"niprBrokerageNumber": "12345678",
"email": "contact@acmeagency.com",
"addressStructured": {
"line1": "123 Main Street",
"line2": "Suite 100",
"city": "New York",
"state": "NY",
"zip": "10001",
"country": "US"
},
"phone": "+1-555-123-4567",
"defaultCommissionPercentage": 15,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-16T14:20:00.000Z"
}
Brokerages
Get Brokerage
Returns a single brokerage by ID.
Required permission: company.brokerage:read
GET
/
api
/
external
/
companies
/
{companyId}
/
brokerages
/
{brokerageId}
Get Brokerage
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Brokerage identifier
Response
Brokerage details
A brokerage (insurance agency or broker) in the system
Brokerage identifier
Brokerage name
Method for handling commission payments
Available options:
agencyBill, directBill, doNotHandle NIPR brokerage number
Brokerage email address
Structured address information
Show child attributes
Show child attributes
Phone number
Default commission percentage for this brokerage
When the brokerage was created (ISO 8601)
When the brokerage was last updated (ISO 8601)
Was this page helpful?
